---
title: "Gets Country by id"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-countries-id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Gets Country by id

`GET` `/countries/{id}`

Operation ID: `get-countries-id`

Gets Country by id

## Path parameters

- `id` (integer, int32, required) - Country id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Returns Country
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - NotFound

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /countries/{id}:
    get:
      tags:
        - countries
      summary: Gets Country by id
      description: Gets Country by id
      operationId: get-countries-id
      parameters:
        - name: id
          in: path
          description: Country id
          required: true
          schema:
            type: integer
            description: Country id
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Returns Country
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Country"
              example:
                id: 0
                code: string
                name: string
                tax_rate: 0
                tax_label: string
                currency_multiplier: 0
                fob_currency:
                  id: 0
                  currency_code: string
                  currency_name: string
                  modified_on: string
                modified_on: string
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: NotFound
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    Country:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: id
          format: int32
          nullable: true
        code:
          type: string
          description: code
          nullable: true
        name:
          type: string
          description: name
          nullable: true
        tax_rate:
          type: number
          description: tax_rate
          format: double
        tax_label:
          type: string
          description: tax_label
          nullable: true
        currency_multiplier:
          type: number
          description: currency_multiplier
          format: double
        fob_currency:
          $ref: "#/components/schemas/Currency"
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: CountryVM Model
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Currency:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Currency Id
          format: int32
          nullable: true
        currency_code:
          type: string
          description: Currency Code
          nullable: true
        currency_name:
          type: string
          description: Currency Name
          nullable: true
        modified_on:
          type: string
          description: Last Modified On
          format: date-time
      additionalProperties: false
      description: Currencies model
```
